## texmacs 2.1.4+ds

=== CMakeLists.txt ===

###############################################################################
#
# MODULE      : CMakeLists.txt
# DESCRIPTION : CMake file for TeXmacs
# COPYRIGHT   : (C) 2008-2009  Massimiliano Gubinelli
#               (C) 2017-2020  Darcy Shen
#
# This software falls under the GNU general public license version 3 or later.
# It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
# in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.


# The name of our project is "TEXMACS". CMakeLists files in this project can 
# refer to the root source directory of the project as ${TEXMACS_SOURCE_DIR} and 
# to the root binary directory of the project as ${TEXMACS_BINARY_DIR}. 


### --------------------------------------------------------------------
### Basic settings (project independent)
### --------------------------------------------------------------------

cmake_minimum_required (VERSION 3.13)

set (CMAKE_CXX_STANDARD 11)
set (CMAKE_AUTOMOC ON)
set (CMAKE_INCLUDE_CURRENT_DIR ON)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Debug CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif (NOT CMAKE_BUILD_TYPE)

#INCLUDE(CMakeDetermineSystem)

# Configure CCache if available
find_program (CCACHE_FOUND ccache)
if (CCACHE_FOUND)
  set_property (GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property (GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif (CCACHE_FOUND)


### --------------------------------------------------------------------
### Project name 
### --------------------------------------------------------------------

project (TEXMACS CXX C) # check for C/C++ compiler

set (PACKAGE TeXmacs)
set (CMAKE_MODULE_PATH ${TEXMACS_SOURCE_DIR}/cmake)

set (VERSION_MAJOR "2")
set (VERSION_MINOR "1")
set (VERSION_BUILD "4")
set (TEXMACS_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BUILD})

set (DEVEL_VERSION ${TEXMACS_VERSION})
set (DEVEL_RELEASE "1")
set (STABLE_VERSION ${TEXMACS_VERSION})
set (STABLE_RELEASE "1")
set (TEXMACS_REVISION ${TEXMACS_VERSION})


### --------------------------------------------------------------------
### Options
### --------------------------------------------------------------------
if (NOT TEXMACS_GUI)
  if (APPLE)
    set (TEXMACS_GUI "Qt4" CACHE STRING "TeXmacs Gui (Qt, X11, Aqua)")
  else (APPLE)
    set (TEXMACS_GUI "Qt" CACHE STRING "TeXmacs Gui (Qt, X11, Aqua)")
  endif (APPLE)
endif (NOT TEXMACS_GUI)

option (QTPIPES "use Qt pipes" ON)

option (USE_SQLITE3 "Use SQLite3" ON)
if (USE_SQLITE3)
  find_package (SQLite3)
  option (LINKED_SQLITE3 "Use Linked SQLite3" ON)
endif (USE_SQLITE3)

option (USE_FREETYPE "use Freetype" ON)
if (USE_FREETYPE)
  find_package (Freetype)
  option (LINKED_FREETYPE "linked Freetype" ON)
endif (USE_FREETYPE)

option (USE_CAIRO "use Cairo" OFF)
if (USE_CAIRO)
  find_package(Cairo)
  option (LINKED_CAIRO "linked Cairo" ON)
endif (USE_CAIRO)

option (USE_IMLIB2 "use Imlib2" OFF)
if (USE_IMLIB2)
  find_package(Imlib2)
  option (LINKED_IMLIB2 "linked Imlib2" ON)
endif (USE_IMLIB2)

option (USE_SPARKLE "use Sparkle" OFF)

option (PDFHUMMUS_NO_TIFF "Disable TIFF in PDF Hummus" ON)

option (USE_GMP "use GMP" ON)
if (USE_GMP)
  find_package (GMP)
endif (USE_GMP)

if (WIN32)
  option (OS_MINGW "Using OS MINGW" ON)
else (WIN32)
  option (OS_MINGW "Using OS MINGW" OFF)
endif (WIN32)

if (APPLE)
  set (MACOSX_EXTENSIONS 1)
  set (OS_MACOS 1)
  option (MACOS_QT_MENU "Disable MacOS native menu" OFF)
endif (APPLE)


### --------------------------------------------------------------------
### Include standard modules
### --------------------------------------------------------------------

include (CheckFunctionExists)
include (CheckLibraryExists)
include (CheckIncludeFile)
include (CheckTypeSize)
include (FindPkgConfig)
include (CheckCSourceCompiles)
include (FindX11)


### --------------------------------------------------------------------
### Check for standard functionalities
### --------------------------------------------------------------------
check_type_size (FILE HAVE_FILE)
check_type_size (intptr_t HAVE_INTPTR_T)
check_type_size (time_t HAVE_TIME_T)
check_include_file (inttypes.h HAVE_INTTYPES_H)
check_include_file (memory.h HAVE_MEMORY_H)
check_include_file (stdlib.h HAVE_STDLIB_H)
check_include_file (strings.h HAVE_STRINGS_H)
check_include_file (string.h HAVE_STRING_H)
check_include_file (sys/stat.h HAVE_SYS_STAT_H)
check_include_file (unistd.h HAVE_UNISTD_H)
check_include_file (X11/Xlib.h HAVE_X11_XLIB_H)
check_include_file (X11/Xutil.h HAVE_X11_XUTIL_H)
check_include_file (pty.h HAVE_PTY_H)
check_include_file (util.h HAVE_UTIL_H)
check_function_exists (gettimeofday HAVE_GETTIMEOFDAY)


### --------------------------------------------------------------------
### Check for dl library
### --------------------------------------------------------------------

check_function_exists (dlopen HAVE_DLOPEN)

if (NOT ${HAVE_DLOPEN})
  check_library_exists (dl dlopen "" HAVE_DLOPEN)
  if (${HAVE_DLOPEN})
    set (CONFIG_BDL "-ldl")
  endif (${HAVE_DLOPEN})
endif (NOT ${HAVE_DLOPEN})

if (NOT ${HAVE_DLOPEN})
  check_library_exists (dld dld_link "" HAVE_DLOPEN)
  if (${HAVE_DLOPEN})
    set (CONFIG_BDL "-ldl")
  endif (${HAVE_DLOPEN})
endif (NOT ${HAVE_DLOPEN})

if (NOT ${HAVE_DLOPEN})
  check_function_exists (shl_load HAVE_DLOPEN)
  if (${HAVE_DLOPEN})
    set (CONFIG_BDL "-ldl")
  endif (${HAVE_DLOPEN})
endif (NOT ${HAVE_DLOPEN})


if (${HAVE_DLOPEN})
  #SET(TM_DYNAMIC_LINKING 1) # dynamic linking works
endif (${HAVE_DLOPEN})

### --------------------------------------------------------------------
### Handle different systems case by case
### --------------------------------------------------------------------

set (CONFIG_OS "GNU_LINUX")
set (CONFIG_OS_SUFFIX "gnu-linux")
set (CONFIG_CXXTEMPLATE "")
set (CONFIG_STD_SETENV "#define STD_SETENV")
set (CONFIG_SO "so")
set (CONFIG_LIB_PATH "LD_LIBRARY_PATH")
set (CONFIG_CHMOD "chmod -f")
set (CONFIG_CXXOPTIMIZE "-O2")
set (CONFIG_BSTATIC "-Wl,-Bstatic")
set (CONFIG_BSHARED "-Wl,-Bdynamic")
set (CONFIG_BFLAGS "")
set (CONFIG_BPATH "-Wl,-rpath,")
set (CONFIG_WORD_LENGTH "4")
set (CONFIG_WORD_LENGTH_INC "3")
set (CONFIG_WORD_MASK "0xfffffffc")
set (CONFIG_MAX_FAST "260 // WORD_LENGTH more than power of 2")

check_type_size ("void*" SIZE_OF_VOIDP)

message (STATUS "Check if we are on a 64-bits computer")
if (${SIZE_OF_VOIDP} EQUAL 8)
  set (CONFIG_WORD_LENGTH "8")
  set (CONFIG_WORD_LENGTH_INC "7")
  set (CONFIG_WORD_MASK "0xfffffffffffffff8")
  set (CONFIG_MAX_FAST "264 // WORD_LENGTH more than power of 2")
endif (${SIZE_OF_VOIDP} EQUAL 8)


if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  message (STATUS "final adjustments for an Intel or AMD GNU/Linux host")
  set (CONFIG_CXXOPTIMIZE "-O3 -fexpensive-optimizations")
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

if (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  message (STATUS "final adjustments for an Intel or AMD GNU/BSD host")
  set (CONFIG_CXXOPTIMIZE "-O3 -fexpensive-optimizations")
endif (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")

if (${CMAKE_SYSTEM_NAME} STREQUAL "SunOS")
  message (STATUS "final adjustments for an Intel or AMS Solaris host")
  set (CONFIG_CXXOPTIMIZE "-O3 -fexpensive-optimizations")
  set (CONFIG_CXXOPTIMIZE "-O3")
  set (CONFIG_BPATH "-Wl,-R,")
#  SET(X11_LDFLAGS "${X_LIBS} -lXext -lX11 -lsocket")
endif (${CMAKE_SYSTEM_NAME} STREQUAL "SunOS")

if (${CMAKE_SYSTEM_NAME} STREQUAL "CYGWIN_NT-5.1")
  message (STATUS "final adjustments for cygwin host")
  set (CONFIG_OS "CYGWIN")
  set (CONFIG_BFLAGS "-Wl,-stack,8388608")
endif (${CMAKE_SYSTEM_NAME} STREQUAL "CYGWIN_NT-5.1")

### --------------------------------------------------------------------
### Package Data
### --------------------------------------------------------------------

set (PACKAGE_BUGREPORT 1)
set (PACKAGE_NAME 1)
set (PACKAGE_STRING 1)
set (PACKAGE_TARNAME 1)
set (PACKAGE_URL 1)
set (PACKAGE_VERSION 1)

### --------------------------------------------------------------------
### Memory allocation options
### --------------------------------------------------------------------

#if(${DISABLE_FASTALLOC})
#  set(NO_FAST_ALLOC 1)
#endif(${DISABLE_FASTALLOC})


### --------------------------------------------------------------------
### Experimental options
### --------------------------------------------------------------------

#  SET(EXPERIMENTAL 1)

### --------------------------------------------------------------------
###  Test for Libraries
### --------------------------------------------------------------------

find_package (PNG)
find_package (Iconv)
find_package (ZLIB)
find_package (JPEG)
#FIND_PACKAGE(Axel)

### --------------------------------------------------------------------
###  Some Guile related adjustements
### --------------------------------------------------------------------

# Allow for selection of Scheme implementation
set(SCHEME_IMPL "default" CACHE STRING "Implementation of Scheme to compile for.")
set_property(CACHE SCHEME_IMPL PROPERTY STRINGS default guile-1.8 guile-2.0 guile-2.2 guile-3.0 chez s7)
message(STATUS "Looking for Scheme implementation: " ${SCHEME_IMPL})

if (${SCHEME_IMPL} STREQUAL "default")
  # Find Guile and determine which version we are using.
  # Look for guile versions in this order: 1.8 > 3.0 > 2.2 > 2.0
  pkg_search_module (Guile REQUIRED guile-1.8 guile-3.0 guile-2.2 guile-2.0)
  if (NOT Guile_FOUND)
    message(FATAL_ERROR "Guile not installed or pkg-config cannot detect it.")
  endif ()
elseif ( (${SCHEME_IMPL} STREQUAL "guile-1.8")
         OR (${SCHEME_IMPL} STREQUAL "guile-2.0")
         OR (${SCHEME_IMPL} STREQUAL "guile-2.2")
         OR (${SCHEME_IMPL} STREQUAL "guile-3.0") )
  pkg_check_modules (Guile REQUIRED ${SCHEME_IMPL})
elseif ((${SCHEME_IMPL} STREQUAL "chez") OR (${SCHEME_IMPL} STREQUAL "s7"))
  message(FATAL_ERROR "Selected Scheme implementation not implemented yet.")
else ()
  message(FATAL_ERROR "Incorrect scheme implementation selected.")
endif()

if (Guile_VERSION VERSION_LESS 2.0)
  set (CONFIG_GUILE_SERIAL "C")
  option (GUILE_C "Using Guile 1.8.x" ON)
  message (STATUS "Using GUILE_C: " ${Guile_VERSION})
else ()
  set (CONFIG_GUILE_SERIAL "D")
  option (GUILE_D "Using Guile 2.x or 3.x" ON)
  set (SCM_SIZET size_t)
  message (STATUS "Using GUILE_D: " ${Guile_VERSION})
endif ()

set (CMAKE_REQUIRED_FLAGS "-Werror ${Guile_CFLAGS}")
set (CMAKE_REQUIRED_INCLUDES ${Guile_INCLUDE_DIRS})
set (guile_str_size_t size_t)

message (STATUS "Checking whether ... arguments behave correctly")

check_c_source_compiles ("
#include <guile/gh.h>
#include <libguile.h>
typedef SCM (*FN)(...);
static SCM identity (SCM x) { return x; }
void declare () { gh_new_procedure (\"identity\", (FN) identity, 1, 0, 0); }
int main() { return 0; }
" _guile_dots_test)

if (_guile_dots_test)
  set (DOTS_OK 1)
else (_guile_dots_test)
  set (DOTS_OK)
endif (_guile_dots_test)

### --------------------------------------------------------------------
### Generate configure headers
### --------------------------------------------------------------------
set (DEBUG_ASSERT 1)

set (USE_GS 1)
if (WIN32)
  set (GS_EXE bin/gs.exe)
else (WIN32)
  set (GS_EXE /usr/bin/gs)
endif (WIN32)
set (GS_FONTS ../share/ghostscript/fonts:/usr/share/fonts:)
set (GS_LIB ../share/ghostscript/9.06/lib:)

set (GUILE_NUM 1)
set (PDF_RENDERER 1)
set (SIZEOF_VOID_P 8)
set (STDC_HEADERS 1)

if (WIN32)
  option (USE_STACK_TRACE "Use stack trace" OFF)
else (WIN32)
  option (USE_STACK_TRACE "Use stack trace" ON)
endif (WIN32)

set (CONFIG_STD_SETENV "#define STD_SETENV")
set (tm_orig ${TEXMACS_SOURCE_DIR})
set (CONFIG_HOST_OS "linux-gnu") # TODO: should not be hard-coded
set (CONFIG_HOST_VENDOR "pc") # TODO: should not be hard-coded
set (CONFIG_HOST_CPU ${CMAKE_SYSTEM_PROCESSOR})
set (CONFIG_USER $ENV{USER})
string (TIMESTAMP CONFIG_DATE)
set (tm_devel TeXmacs-${DEVEL_VERSION})
set (tm_stable TeXmacs-${STABLE_VERSION})

=== TeXmacs/CMakeLists.txt ===
if (WIN32)
  install (DIRECTORY . DESTINATION ${CMAKE_INSTALL_PREFIX}
    FILE_PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    PATTERN "include" EXCLUDE
    PATTERN "CMakeLists.txt" EXCLUDE)
else (WIN32)
  install(DIRECTORY . DESTINATION share/TeXmacs
    FILE_PERMISSIONS OWNER_READ GROUP_READ WORLD_READ
    PATTERN "include" EXCLUDE
    PATTERN "CMakeLists.txt" EXCLUDE)
endif (WIN32)

=== misc/CMakeLists.txt ===
configure_file(scripts/texmacs.in ${TEXMACS_BINARY_DIR}/misc/scripts/texmacs @ONLY)
configure_file(scripts/fig2ps.in ${TEXMACS_BINARY_DIR}/misc/scripts/fig2ps @ONLY)
configure_file(man/texmacs.1.in ${TEXMACS_SOURCE_DIR}/misc/man/texmacs.1 @ONLY)

### share/man
set(TOOLS "texmacs" "fig2ps")
set(MAN_SECTION "1")
foreach(TOOL ${TOOLS})
  set(TOOL_MANFILE ${CMAKE_CURRENT_SOURCE_DIR}/man/${TOOL}.${MAN_SECTION})
  set(TOOL_MANFILE_GZ ${CMAKE_CURRENT_BINARY_DIR}/${TOOL}.${MAN_SECTION}.gz)
  add_custom_command(
    OUTPUT ${TOOL_MANFILE_GZ}
    COMMAND gzip -c ${TOOL_MANFILE} > ${TOOL_MANFILE_GZ}
    MAIN_DEPENDENCY ${TOOL_MANFILE}
    COMMENT "Building ${TOOL} man page"
    VERBATIM
  )
  add_custom_target(${TOOL}.${MAN_SECTION} ALL DEPENDS ${TOOL_MANFILE_GZ})
  install(FILES ${TOOL_MANFILE_GZ} DESTINATION share/man/man${MAN_SECTION})
endforeach(TOOL)

=== plugins/CMakeLists.txt ===
###############################################################################
# MODULE     : CMake file for various plugins
# COPYRIGHT  : (C) 2018-2020  Darcy Shen
###############################################################################
# This software falls under the GNU general public license version 3 or later.
# It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
# in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
###############################################################################

if (NOT WIN32)
  add_subdirectory (axiom)
  add_subdirectory (coq)
  add_subdirectory (maple)
  add_subdirectory (r)
  add_subdirectory (shell)
endif (NOT WIN32)


# Install the binaries for plugin
file(GLOB PLUGIN_DIRS LIST_DIRECTORIES true *)
foreach(PLUGIN ${PLUGIN_DIRS})
  if (EXISTS ${PLUGIN}/bin/)
    file(RELATIVE_PATH PLUGIN_NAME ${TEXMACS_SOURCE_DIR}/plugins ${PLUGIN})
    if (WIN32)
      install(DIRECTORY ${PLUGIN}/bin/ DESTINATION plugins/${PLUGIN_NAME}/bin
        PATTERN "*"
        PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)
    else (WIN32)
      install(DIRECTORY ${PLUGIN}/bin/ DESTINATION share/TeXmacs/plugins/${PLUGIN_NAME}/bin
        PATTERN "*"
        PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)
    endif (WIN32)
  endif(EXISTS ${PLUGIN}/bin/)
endforeach(PLUGIN)

=== src/CMakeLists.txt ===
### --------------------------------------------------------------------
### Set the executable target name and other stuff
### --------------------------------------------------------------------

if (APPLE)
  set (TeXmacs_binary_name "TeXmacs")
elseif (WIN32)
  set (TeXmacs_binary_name "texmacs")
else (APPLE)
  set (TeXmacs_binary_name "texmacs.bin")
endif (APPLE)

add_library(texmacs_body STATIC ${TeXmacs_All_SRCS})

if (WIN32)
  add_executable (${TeXmacs_binary_name} WIN32
    ./Texmacs/Texmacs/texmacs.cpp
  )
else (WIN32)
  add_executable (${TeXmacs_binary_name}
    ./Texmacs/Texmacs/texmacs.cpp
  )
endif (WIN32)

target_link_libraries (${TeXmacs_binary_name}
  texmacs_body
  ${TeXmacs_Libraries}
)

if (APPLE)
  set(MACOSX_BUNDLE_DISPLAY_NAME TeXmacs)
  set_target_properties (${TeXmacs_binary_name}
    PROPERTIES
    MACOSX_BUNDLE TRUE
    MACOSX_BUNDLE_INFO_PLIST ${TEXMACS_SOURCE_DIR}/packages/macos/Info.plist.in
    DEBUG_OUTPUT_NAME ${TeXmacs_binary_name}${EXE_DEBUG_EXTENSION}
    RELEASE_OUTPUT_NAME ${TeXmacs_binary_name}
    RUNTIME_OUTPUT_DIRECTORY ${TEXMACS_BINARY_DIR}
  )
elseif (WIN32)
  install (TARGETS ${TeXmacs_binary_name} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
else (APPLE)
  install (TARGETS ${TeXmacs_binary_name} DESTINATION ${tmbin}/bin)
endif (APPLE)

=== tests/CMakeLists.txt ===
file (GLOB_RECURSE TEST_SRC_FILES "*.cpp")

# from list of files we'll create tests test_name.cpp -> test_name
foreach (_test_file ${TEST_SRC_FILES})
  get_filename_component (_test_name ${_test_file} NAME_WE)
  add_executable (${_test_name}
    ${_test_file}
  )
  target_link_libraries (${_test_name}
    texmacs_body
    ${TeXmacs_Libraries}
    Qt5::Test
  )
  add_test (${_test_name} ${_test_name})
  set_tests_properties (${_test_name} PROPERTIES TIMEOUT 5)
  set_tests_properties (${_test_name} PROPERTIES ENVIRONMENT "TEXMACS_PATH=${TEXMACS_SOURCE_DIR}/TeXmacs")
endforeach ()

=== plugins/coq/CMakeLists.txt ===
###############################################################################
# MODULE     : CMake file for Coq plugin
# COPYRIGHT  : (C) 2018-2019  Darcy Shen
###############################################################################
# This software falls under the GNU general public license version 3 or later.
# It comes WITHOUT ANY WARRANTY WHATSOEVER. For details, see the file LICENSE
# in the root directory or <http://www.gnu.org/licenses/gpl-3.0.html>.
###############################################################################

include_directories (${TEXMACS_BINARY_DIR}/src/System/)

set (coq_SRCS src/pico_xml.c src/tm_coq.c)

add_executable (tm_coq ${coq_SRCS})

# target_link_libraries(tm_r -lutil)

install(TARGETS tm_coq DESTINATION share/TeXmacs/plugins/coq/bin)

=== plugins/shell/CMakeLists.txt ===
include_directories (${TEXMACS_BINARY_DIR}/src/System/)

set (shell_SRCS src/tm_shell.cpp)

add_executable (tm_shell ${shell_SRCS})

target_link_libraries(tm_shell -lutil)

install(TARGETS tm_shell DESTINATION share/TeXmacs/plugins/shell/bin)

=== debian/changelog ===
texmacs (1:2.1.4+ds-4) unstable; urgency=medium

  * FTBFS-with-gcc-15 fix release (see introduced patch).
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-gcc15-compile_error_in_hashtree_cpp.path, introduce
        (Closes: #1097987).
    - d/control:
      - Maintainer field, use now canonical team email address
        (thanks to Alexandre Detiste <tchet@debian.org>);
      - Package texmacs-bin, Multi-Arch field, uncomment;
      - Standards-Version, bump to 4.7.2 (no change);
    - d/README.source, discard as obsoleted material
        (thanks to Alexandre Detiste <tchet@debian.org>;
    - d/copyright:
      - old-fsf-address-in-copyright-file issue, fix.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 07 Sep 2025 18:16:52 +0000

texmacs (1:2.1.4+ds-3) unstable; urgency=medium

  * Debianization:
    - AppStream error fix:
      - d/TeXmacs.xpm, new 64x64 version converted to XPM from
        TeXmacs/misc/images/texmacs.svg;
      - texmacs-bin:
        - now provides /usr/share/icons/hicolor/64x64/apps/TeXmacs.xpm
          which is actually d/TeXmacs.xpm.
      - texmacs-base:
         - now provides /usr/share/icons/hicolor/scalable/apps/TeXmacs.svg
           as link to /usr/share/texmacs/misc/images/texmacs.svg;
    - Multiarch hinter fix:
       -d/control:
        - texmacs-bin Package, comment Multi-Arch field (u/b/texmacs
          script could be architecture independent);
    - Reproducibility fix:
      - d/patches/*:
        - upstream-reproducible-PDFHummus-SOURCE_DATE_EPOCH.patch, revisit;
        - debianization.patch, force empty CONFIG_USER.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Oct 2024 22:11:42 +0000

texmacs (1:2.1.4+ds-2) unstable; urgency=medium

  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-qt_gui_update-proper_type-time_t.patch,
        introduce (Closes: #1085106), thanks to Adrian Bunk <bunk@debian.org>
        for isolating the issue;
    - d/texmacs-bin.lintian-overrides, discard false-positive overrides.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 15 Oct 2024 16:27:37 +0000

texmacs (1:2.1.4+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends list, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 14 Oct 2024 16:19:16 +0000

texmacs (1:2.1.4+ds-1~exp1) experimental; urgency=medium

  * New micro release re-initialized almost[1] from scratch (Closes: #1072829).
    [1] the former patches that were still relevant were refreshed but renamed.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 07 Sep 2024 20:41:48 +0000

texmacs (1:2.1.2-1) experimental; urgency=medium

  * Team upload.

  [ Jerome Benoit ]
  * debian/patches/*:
    - d/p/90_guile3.patch, introduce;
    - d/p/zz_adhoc_autoreconf.patch, refresh configure
      and src/System/config.in ;
    - d/p/15_clang.patch, neutralize;
  * debian/control:
    - Build-Depends list, refresh;
  * debian/rules, adjust.

  [ Doug Torrance ]
  * New upstream release.
  * debian/patches/*
    - Refresh for new upstream version
  * debian/patches/13_rsvg.patch
    - Remove patch; applied upstream.
  * debian/source/options
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update download link and bump to version 4 format.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2024 22:51:39 +0000

texmacs (1:1.99.1-3) experimental; urgency=medium

  * Add an override of lintian error.  Thanks Jakub Wilk <jwilk AT debian.org>.
   - I noticed typos for an override file of texmacs-common so fixed them.
   - Also I noticed typo in texmacs-common.dirs so fixed it.
  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    Because the former version was rejected, close this again. (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 04 Aug 2014 10:26:19 +0900

texmacs (1:1.99.1-2) experimental; urgency=medium

  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 31 Jul 2014 14:59:49 +0900

texmacs (1:1.99.1-1) experimental; urgency=low

  * New upstream release
  * Stopped to apply 01_american.patch, 05_fixRd.patch and 09_ipa.patch
  * Updated control file (migrated to guile-1.8 even on ia64).
    (Closes: #731787)
  * Removed fonts which would be non-distributable.  (Closes: #711383)

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 10 Jan 2014 12:23:58 +0900

texmacs (1:1.0.7.18-1) unstable; urgency=low

  * New Upstream Release.
  * Removed 05_fixRd.patch and updated 01_american.patch, 09_ipa.patch
    10_tex-files.cpp.patch

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 21 Feb 2013 11:51:59 +0900

texmacs (1:1.0.7.16+1-1) unstable; urgency=low

  * Dropped i386 binary without sources, maxima_filter, from orig.tar.gz
    and so changed version number of orig.tar.gz from 1.0.7.16 to 1.0.7.16+1
    and also applied a patch by Adam Conrad.  (Closes: #699132)
    Thanks to Adam Conrad <adconrad AT debian DOT org>
   - Make debian/fixsh operate on debian/texmacs instead of debian/tmp,
     and move it to binary-post-install/texmacs:: to keep consistency
     when not building arch-indep packages, as on the Dbeian buildds.
   - Remove maxima_filter in clean to fix FTBFS on on non-i386 arches.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 30 Jan 2013 10:28:20 +0900

texmacs (1:1.0.7.16-1) unstable; urgency=low

  * New Upstream Release.
   - In tm-print.scm, there is "xdg-open" command so now the print preview
     should work.  (Closes: #695638)
  * Remove packages/macos/Base.xcconfig by clean target of rules.
    It seems it was misc/bundle/Base.xcconfig in the past and removed
    by clean target of rules.
  * Updated patches/11_desktop-file.patch
  * Fixed relations between texmacs-common and texmacs-extra-fonts.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 18 Jan 2013 13:38:20 +0900

texmacs (1:1.0.7.15-2) unstable; urgency=low



=== debian/control ===
Source: texmacs
Section: editors
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autoconf-archive,
 libtool,
 pkgconf,
 xdg-utils,
 python3,
 libexpat1-dev,
 guile-3.0-dev,
 libpng-dev,
 libfreetype-dev,
# libcairo2-dev,
 libimlib2-dev,
 libsqlite3-dev,
 libjpeg-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 libltdl-dev,
 libgmp-dev,
 plocate,
 tinyscheme,
# libjpeg-progs,
# librsvg2-bin,
# libtiff-tools,
 ghostscript,
# imagemagick,
 aspell | ispell,
# netpbm,
 r-base-core (>= 2.0),
 xfig,
 fig2ps,
 fonts-stix,
 fonts-texgyre,
 fonts-texgyre-math,
 fonts-linuxlibertine,
 cm-super,
 texlive-base,
 texlive-fonts-recommended,
 texlive-lang-greek,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-lang-european,
 texlive-fonts-extra,
 texlive-latex-extra,
 texlive-science,
 texlive-pictures,
 feynmf,
 xvfb,
 xauth
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/science-team/texmacs.git
Vcs-Browser: https://salsa.debian.org/science-team/texmacs
Homepage: https://www.texmacs.org

Package: texmacs
Architecture: any
Multi-Arch: same
Depends: texmacs-bin, texmacs-base, texmacs-doc, ${misc:Depends}
Description: WYSIWYG scientific text editor using TeX fonts
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This dependency package provides a standard TeXmacs installation.

Package: texmacs-bin
Replaces: texmacs (<< 1:2.1.4+ds)
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: any
Multi-Arch: same
Depends:
 ghostscript,
 groff,
 plocate | locate,
 texlive-base,
 texlive-extra-utils,
 texlive-font-utils,
 aspell | ispell,
 texmacs-base (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 imagemagick,
 libjpeg-progs | libjpeg-mmx-progs,
 librsvg2-bin,
 libtiff-tools,
 netpbm,
 xfig,
 fig2ps,
 wget,
 locales
Suggests:
 tinyscheme,
 xvfb,
 xauth
Enhances:
## clisp,
## eukleides,
## plantuml,
## inkscape,
## asymptote,
 axiom,
 maxima,
 octave,
 pari-gp,
 python3-sympy,
 r-base,
 sagemath,
 scilab,
 fricas,
 xcas,
 yacas
Description: WYSIWYG scientific text editor using TeX fonts -- binaries
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the architecture dependent files.

Package: texmacs-base
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: all
Multi-Arch: foreign
Depends:
 python3,
 libgs10-common,
 r-api-4.0,
 texmacs-texmf (= ${source:Version}),
 gnome-icon-theme,
 ${misc:Depends}
Recommends: texmacs-bin (= ${source:Version})
##Suggests: python3
Description: WYSIWYG scientific text editor using TeX fonts -- base
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the architecture-independent files.

Package: texmacs-texmf
Breaks: texmacs (<< 1:2.1.4+ds)
Architecture: all
Multi-Arch: foreign
Depends:
 texlive-base,
 fonts-stix,
 fonts-texgyre,
 fonts-texgyre-math,
 texlive-fonts-recommended,
 texlive-fonts-extra,
 texlive-lang-greek,
 texlive-lang-cyrillic,
 texlive-lang-french,
 texlive-lang-polish,
 texlive-lang-spanish,
 texlive-lang-european,
 texlive-latex-extra,
 texlive-science,
 texlive-pictures,
 fonts-linuxlibertine,
 cm-super,
 fonts-texmacs (= ${source:Version}),
 ${misc:Depends}
Recommends:
 texmacs-bin (= ${source:Version})
Suggests: feynmf
Description: WYSIWYG scientific text editor using TeX fonts -- TeXMF
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package provides the TeXMF related material.

Package: fonts-texmacs
Breaks: texmacs (<< 1:2.1.4+ds)
Section: fonts
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: WYSIWYG scientific text editor using TeX fonts -- fonts
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains TeXmacs fonts based on Adobe fonts.

Package: texmacs-doc
Breaks: texmacs (<< 1:2.1.4+ds)
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: texmacs-base (= ${source:Version})
Recommends: giac-doc
Suggests: texmacs-bin (= ${source:Version})
Description: WYSIWYG scientific text editor using TeX fonts -- documentation
 GNU TeXmacs is a free scientific text editor, which was both inspired
 by the TeX typesetting program and the GNU Emacs editor.
 .
 The editor allows you to write structured documents via a WYSIWYG
 (what-you-see-is-what-you-get) and a user friendly interface.
 New styles may be created by the user. The program implements
 high-quality typesetting algorithms and TeX fonts, which help you
 to produce professionally looking documents.
 .
 The high typesetting quality still goes through for automatically
 generated formulas, which makes TeXmacs suitable as an interface
 for Computer Algebra Systems (CAS), e.g., SageMath, Maxima, PARI/GP.
 TeXmacs also supports the Guile/Scheme extension language, so that
 you may customize the interface and write your own extensions to
 the editor.
 .
 This package contains the documentation along with examples.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DH_VERBOSE=1

GUILE ?= /usr/bin/guile
MKDIR_P ?= /bin/mkdir -p
XVFB_RUN ?= /usr/bin/xvfb-run

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export XDG_CACHE_HOME=$(CURDIR)/_XDG_CACHE_HOME
export TEXMACS_HOME_PATH=$(CURDIR)/_TEXMACS_HOME_PATH

DEB_GUILE_FALLBACK_PATH=$(shell XDG_CACHE_HOME=$(XDG_CACHE_HOME) $(GUILE) -c '(display %compile-fallback-path) (newline)')
DEB_GUILE_SITE_CCACHE_DIR=$(shell $(GUILE) -c '(display (%site-ccache-dir)) (newline)')
DEB_R_SITE_LIBRARY_DIR=/usr/lib/R/site-library/
export DEB_GS_VERSION=$(shell gs --version)

export VERSION_REVISION="Debian $(DEB_VERSION)"
export VERSION_STAMP="(Debian $(DEB_VERSION))"
export VERSION_COMMENT="Packaged by Debian ($(DEB_VERSION))"

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SOURCE_DATE_RSTAMP = $(shell date -u -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d %H:%M:%S UTC')

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

## passing datadir and libexecdir as option parameters allows
## to hard-code them (see TM_INSTALL in m/m/tm_install.m4).
override_dh_auto_configure:
	dh_auto_configure -- \
		--datadir=/usr/share \
		--libexecdir=/usr/libexec/$(DEB_HOST_MULTIARCH) \
		--with-guile2 --enable-guile2 \
		--with-imlib2 \
		--with-sqlite3

TEXMACS_PATH=$(CURDIR)/debian/tmp/usr/share/texmacs
TEXMACS_BIN_PATH=$(CURDIR)/debian/tmp/usr/libexec/$(DEB_HOST_MULTIARCH)/texmacs
TEXMACS_DOC_PATH=$(CURDIR)/debian/tmp/usr/share/doc/texmacs/documentation/
TEXMACS_SCRIPT=$(CURDIR)/debian/tmp/usr/bin/texmacs
DEB_TEXMACS_FALLBACK_PATH=$(DEB_GUILE_FALLBACK_PATH)/$(TEXMACS_PATH)
DEB_TEXMACS_SITE_CCACHE=$(CURDIR)/debian/tmp/$(DEB_GUILE_SITE_CCACHE_DIR)/texmacs

DEB_TEXMACS_SITE_CCACHE_COMPILED_BOOST=$(DEB_TEXMACS_SITE_CCACHE)/progs/kernel/boot/boot.go
DEB_GUILE_SITE_CCACHE_TEXMACS_COMPILED_BOOST=$(DEB_TEXMACS_SITE_CCACHE)/progs/usr/share/texmacs/progs/kernel/boot/boot.scm.go

TEXMACS=\
		XDG_CACHE_HOME=$(XDG_CACHE_HOME) \
		TEXMACS_HOME_PATH=$(TEXMACS_HOME_PATH) \
		TEXMACS_PATH=$(TEXMACS_PATH) \
		TEXMACS_BIN_PATH=$(TEXMACS_BIN_PATH) \
		TEXMACS_DOC_PATH=$(TEXMACS_DOC_PATH) \
	$(XVFB_RUN) $(TEXMACS_SCRIPT) -d

R_CMD=\
	R CMD

DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_SCHEME=$(CURDIR)/debian/adhoc/site-ccache.scm
DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_COMPILED_SCHEME=$(DEB_GUILE_FALLBACK_PATH)/$(DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_SCHEME).go
$(DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_COMPILED_SCHEME): $(DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_SCHEME)
	$(MKDIR_P) $(XDG_CACHE_HOME)
	$(MKDIR_P) $(TEXMACS_HOME_PATH)
	$(MKDIR_P) $(DEB_TEXMACS_SITE_CCACHE)
	$(TEXMACS) -x '(load "$(DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_SCHEME)")'
execute_after_dh_auto_install_go: $(DEB_GUILE_SITE_CCACHE_TEXMACS_ADHOC_COMPILED_SCHEME)
	$(eval logof:=$(shell find $(DEB_TEXMACS_FALLBACK_PATH) -type f -name '*.scm.go' -printf '%P '))
	$(foreach gof, $(logof),\
		$(MKDIR_P) $(DEB_TEXMACS_SITE_CCACHE)/$(dir $(gof)) ;$(NEWLINE)\
		cp -p -v $(DEB_TEXMACS_FALLBACK_PATH)/$(gof) $(DEB_TEXMACS_SITE_CCACHE)/$(gof:.scm.go=.go) ;$(NEWLINE)\
		)

DEB_R_SITE_SRC=$(CURDIR)/debian/tmp/DEBIAN/SRC/R/
DEB_R_SITE_LIBRARY=$(CURDIR)/debian/texmacs-base/$(DEB_R_SITE_LIBRARY_DIR)
DEB_TEXMACS_PLUGINS_RDIR=$(CURDIR)/debian/tmp/usr/share/texmacs/plugins/r/r
execute_after_dh_auto_install_Rplg:
	$(MKDIR_P) $(DEB_R_SITE_SRC)
	$(MKDIR_P) $(DEB_R_SITE_LIBRARY)
	{ cd $(DEB_R_SITE_SRC) && \
		$(R_CMD) build --compression=none --user='Debian; $(DEB_VERSION)' $(DEB_TEXMACS_PLUGINS_RDIR)/TeXmacs ; \
		}
	rm -rf $(DEB_TEXMACS_PLUGINS_RDIR)/TeXmacs
	rmdir $(DEB_TEXMACS_PLUGINS_RDIR)

DEB_TEXMACS_INSTALLER_PLUGINS_PATH=$(CURDIR)/debian/tmp/usr/share/doc/texmacs/installers/plugins
execute_after_dh_auto_install: execute_after_dh_auto_install_go execute_after_dh_auto_install_Rplg
	$(MKDIR_P) $(DEB_TEXMACS_INSTALLER_PLUGINS_PATH)
	$(MKDIR_P) $(dir $(DEB_GUILE_SITE_CCACHE_TEXMACS_COMPILED_BOOST))
	ln -rs $(DEB_TEXMACS_SITE_CCACHE_COMPILED_BOOST) $(DEB_GUILE_SITE_CCACHE_TEXMACS_COMPILED_BOOST)
	$(eval lopigof:=$(shell find $(DEB_TEXMACS_SITE_CCACHE)/plugins -type f -name '*.go' -printf '%P '))
	ln -s -t $(DEB_TEXMACS_SITE_CCACHE)/plugins $(lopigof)
	$(R_CMD) INSTALL \
			--built-timestamp='$(SOURCE_DATE_RSTAMP)' \
			--library=$(DEB_R_SITE_LIBRARY) \
		$(DEB_R_SITE_SRC)/TeXmacs_*.tar
	sed -i \
			-e 's@^Packaged: .* UTC;@Packaged: $(SOURCE_DATE_RSTAMP);@' \
		$(DEB_R_SITE_LIBRARY)/TeXmacs/DESCRIPTION
	mv -v $(TEXMACS_BIN_PATH)/bin/tm_*_install $(DEB_TEXMACS_INSTALLER_PLUGINS_PATH)

DEB_TEXMACS_THEMESDIR=$(CURDIR)/debian/texmacs-base/usr/share/texmacs/packages/themes/
DEB_TEXMACS_DOC_EXTMDIR=$(CURDIR)/debian/texmacs-doc/usr/share/doc/texmacs/examples/texts/
DEB_SEDSUBST_TMFS_ARTWORK='s@tmfs://artwork/@/usr/share/texmacs/misc/@g'
DEB_SEDSUBST_GRDPRNT='s@\.\./\.\./misc/@/usr/share/texmacs/misc/@g'
execute_after_dh_installexamples-indep:
	$(eval lowts:=$(shell grep -l -r '|tmfs://artwork/' $(DEB_TEXMACS_THEMESDIR) ))
	$(foreach wts,$(lowts), sed -i -e $(DEB_SEDSUBST_TMFS_ARTWORK) $(wts) ;$(NEWLINE))
	sed -i -e $(DEB_SEDSUBST_GRDPRNT) $(DEB_TEXMACS_DOC_EXTMDIR)/torture-images.tm
	sed -e $(DEB_SEDSUBST_TMFS_ARTWORK) \
				$(DEB_TEXMACS_DOC_EXTMDIR)/torture-images.tm \
		> $(DEB_TEXMACS_DOC_EXTMDIR)/torture-images-local.tm

DEB_TEXMACS_PATH=/usr/share/texmacs
DEB_TEXMACS_DOC_DOCUMENTATIONPATH=/usr/share/doc/texmacs/documentation
DEB_TEXMACS_DOC_DOCUMENTATIONDIR=$(CURDIR)/debian/texmacs-doc/$(DEB_TEXMACS_DOC_DOCUMENTATIONPATH)
execute_after_dh_link-indep:
	$(eval lopif:=$(shell find $(DEB_TEXMACS_DOC_DOCUMENTATIONDIR)/plugins -maxdepth 1 -type d -printf '%P '))
	$(foreach pif,$(lopif),\
		dh_link -p texmacs-doc \
			$(DEB_TEXMACS_DOC_DOCUMENTATIONPATH)/plugins/$(pif) $(DEB_TEXMACS_PATH)/plugins/$(pif)/doc ;$(NEWLINE)\
		)

override_dh_compress-indep:
	dh_compress -Xexamples -X.tm -X.bib -Xgiac-demo -Xtm-page.ps

execute_before_dh_installdocs-indep:
	cp -p TeXmacs/README README.TeXmacs
	$(TEXMACS) --build-manual texmacs-scheme-manual.en
	sleep 2
	$(TEXMACS) --build-manual texmacs-source-manual.en
	sleep 2
	$(TEXMACS) --build-manual texmacs-user-manual.en
	sleep 2
	$(TEXMACS) --build-manual texmacs-reference-manual.en

override_dh_installdocs:
	dh_installdocs -ptexmacs-base  --doc-main-package=texmacs
	dh_installdocs -ptexmacs-texmf --doc-main-package=texmacs
	dh_installdocs -ptexmacs-doc   --doc-main-package=texmacs
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ptexmacs-base  --doc-main-package=texmacs
	dh_installexamples -ptexmacs-doc   --doc-main-package=texmacs
	dh_installexamples --remaining-packages

override_dh_missing:
	dh_missing --list-missing

override_dh_dwz-arch:
	dh_dwz -a -X.go

override_dh_shlibdeps-arch:
	dh_shlibdeps -a -X.go

get-info:
	@echo 'SOURCE_DATE_EPOCH          >$(SOURCE_DATE_EPOCH)<'
	@echo 'SOURCE_DATE_RSTAMP         >$(SOURCE_DATE_RSTAMP)<'
	@echo 'DEB_VERSION:               >$(DEB_VERSION)<'
	@echo 'VERSION_STAMP:             >$(VERSION_STAMP)<'
	@echo 'VERSION_COMMENT:           >$(VERSION_COMMENT)<'
	@echo 'XDG_CACHE_HOME:            >$(XDG_CACHE_HOME)<'
	@echo 'DEB_GUILE_FALLBACK_PATH:   >$(DEB_GUILE_FALLBACK_PATH)<'
	@echo 'DEB_GUILE_SITE_CCACHE_DIR: >$(DEB_GUILE_SITE_CCACHE_DIR)<'
	@echo 'DEB_R_SITE_LIBRARY_DIR:    >$(DEB_R_SITE_LIBRARY_DIR)<'
	@echo 'DEB_GS_VERSION:            >$(DEB_GS_VERSION)<'

define NEWLINE


endef

=== debian/tests/control ===
Test-Command:  xvfb-run texmacs --version
Depends: xvfb, xauth, texmacs, texmacs-doc
